<bugID>1238734<Summary>Error getting frames when source mapping -&gt; debugger broken</Summary><Description>STR:

* Open test case in browser
* Set a breakpoint on line 5: "let result = await this.bar();"
* Refresh

ER:

Pause on the line

AR:

Debugger UI never pauses, error in console:

&gt; error occurred while processing 'frames: TypeError: originalLocation.originalSourceActor is null
&gt; Stack: ThreadActor.prototype.onFrames/promise&lt;@resource://gre/modules/commonjs/toolkit/loader.js -&gt; resource://devtools/server/actors/script.js:1267:13
&gt; Handler.prototype.process@resource://gre/modules/commonjs/toolkit/loader.js -&gt; resource://gre/modules/Promise-backend.js:933:23
&gt; this.PromiseWalker.walkerLoop@resource://gre/modules/commonjs/toolkit/loader.js -&gt; resource://gre/modules/Promise-backend.js:812:7
&gt; this.PromiseWalker.scheduleWalkerLoop/&lt;@resource://gre/modules/commonjs/toolkit/loader.js -&gt; resource://gre/modules/Promise-backend.js:746:11
&gt; EventLoop.prototype.enter@resource://gre/modules/commonjs/toolkit/loader.js -&gt; resource://devtools/server/actors/script.js:347:5
&gt; ThreadActor.prototype._pushThreadPause@resource://gre/modules/commonjs/toolkit/loader.js -&gt; resource://devtools/server/actors/script.js:541:5
&gt; ThreadActor.prototype._pauseAndRespond@resource://gre/modules/commonjs/toolkit/loader.js -&gt; resource://devtools/server/actors/script.js:744:7
&gt; BreakpointActor.prototype.hit@resource://gre/modules/commonjs/toolkit/loader.js -&gt; resource://devtools/server/actors/script.js:3343:12
&gt; foo/&lt;@file:///Users/fitzgen/scratch/my-class.built.js:10:11
&gt; step@file:///Users/fitzgen/scratch/my-class.built.js:1:183
&gt; _asyncToGenerator/&lt;/&lt;@file:///Users/fitzgen/scratch/my-class.built.js:1:423
&gt; _asyncToGenerator/&lt;@file:///Users/fitzgen/scratch/my-class.built.js:1:99
&gt; foo@file:///Users/fitzgen/scratch/my-class.built.js:8:12
&gt; @file:///Users/fitzgen/scratch/my-class.built.js:31:1
&gt; Line: 1267, column: 13

-------------------------------------

Found this while investigating https://github.com/mozilla/source-map/issues/221</Description></bugID>